Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom
Class OdfNamespace

    java.lang.Object
      org.odftoolkit.odfdom.dom.OdfNamespace

All Implemented Interfaces:
  Comparable, NamespaceContext

    public class OdfNamespace

extends Object
implements Comparable, NamespaceContext

class keeping some constants for OpenDocument namespaces

Field Summary
`static OdfNamespace` | `ANIM`
`static OdfNamespace` | `CHART`
`static OdfNamespace` | `CONFIG`
`static OdfNamespace` | `DB`
`static OdfNamespace` | `DC`
`static OdfNamespace` | `DR3D`
`static OdfNamespace` | `DRAW`
`static OdfNamespace` | `FO`
`static OdfNamespace` | `FORM`
`static OdfNamespace` | `GRDDL`
`static OdfNamespace` | `MATH`
`static OdfNamespace` | `META`
`static OdfNamespace` | `NUMBER`
`static OdfNamespace` | `OFFICE`
`static OdfNamespace` | `PRESENTATION`
`static OdfNamespace` | `SCRIPT`
`static OdfNamespace` | `SMIL`
`static OdfNamespace` | `STYLE`
`static OdfNamespace` | `SVG`
`static OdfNamespace` | `TABLE`
`static OdfNamespace` | `TEXT`
`static OdfNamespace` | `XFORMS`
`static OdfNamespace` | `XHTML`
`static OdfNamespace` | `XLINK`
`static OdfNamespace` | `XML`

Constructor Summary
`OdfNamespace()`

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object obj)`
`static OdfNamespace` | `get(String uri)`
`static OdfNamespace` | `get(String prefix, String uri)`
`static String` | `getLocalPart(String qname)`
`String` | `getNamespaceURI(String prefix)`
`static String` | `getNamespaceURIByPrefix(String prefix)`
`OdfName` | `getOdfName(String name)`
`String` | `getPrefix()`
`String` | `getPrefix(String namespaceUri)`
`Iterator` | `getPrefixes(String namespaceuri)`
`static String` | `getPrefixPart(String qname)`
`String` | `getUri()`
`int` | `hashCode()`
`boolean` | `hasPrefix()`
`static String[]` | `splitQName(String qname)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ANIM

    public static final OdfNamespace ANIM

### CHART

    public static final OdfNamespace CHART

### CONFIG

    public static final OdfNamespace CONFIG

### DB

    public static final OdfNamespace DB

### DC

    public static final OdfNamespace DC

### DR3D

    public static final OdfNamespace DR3D

### DRAW

    public static final OdfNamespace DRAW

### FO

    public static final OdfNamespace FO

### FORM

    public static final OdfNamespace FORM

### GRDDL

    public static final OdfNamespace GRDDL

### MATH

    public static final OdfNamespace MATH

### META

    public static final OdfNamespace META

### NUMBER

    public static final OdfNamespace NUMBER

### OFFICE

    public static final OdfNamespace OFFICE

### PRESENTATION

    public static final OdfNamespace PRESENTATION

### SCRIPT

    public static final OdfNamespace SCRIPT

### SMIL

    public static final OdfNamespace SMIL

### STYLE

    public static final OdfNamespace STYLE

### SVG

    public static final OdfNamespace SVG

### TABLE

    public static final OdfNamespace TABLE

### TEXT

    public static final OdfNamespace TEXT

### XFORMS

    public static final OdfNamespace XFORMS

### XHTML

    public static final OdfNamespace XHTML

### XLINK

    public static final OdfNamespace XLINK

### XML

    public static final OdfNamespace XML

Constructor Detail

### OdfNamespace

    public OdfNamespace()

Method Detail

### getOdfName

    public OdfName getOdfName(String name)

  Returns:
    return OdfName

### get

    public static OdfNamespace get(String uri)

### get

    public static OdfNamespace get(String prefix,
                                   String uri)

### hasPrefix

    public boolean hasPrefix()

### getPrefix

    public String getPrefix()

### getUri

    public String getUri()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### splitQName

    public static String[] splitQName(String qname)

### getPrefixPart

    public static String getPrefixPart(String qname)

### getLocalPart

    public static String getLocalPart(String qname)

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### getNamespaceURI

    public String getNamespaceURI(String prefix)

  Specified by:
    `getNamespaceURI` in interface `NamespaceContext`

### getNamespaceURIByPrefix

    public static String getNamespaceURIByPrefix(String prefix)

### getPrefix

    public String getPrefix(String namespaceUri)

  Specified by:
    `getPrefix` in interface `NamespaceContext`

### getPrefixes

    public Iterator getPrefixes(String namespaceuri)

  Specified by:
    `getPrefixes` in interface `NamespaceContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.